On 01/30/2012 11:43 AM, Randy Dunlap wrote:

This patch is still needed in linux-next of 20120313.


> From: Randy Dunlap <rdunlap at xenotime.net>
> 
> Fix build warnings by providing a struct stub since no fields of
> the struct are used:
> 
> include/linux/vgaarb.h:66:9: warning: 'struct pci_dev' declared inside 
> parameter list
> include/linux/vgaarb.h:66:9: warning: its scope is only this definition or 
> declaration, which is probably not what you want
> include/linux/vgaarb.h:99:34: warning: 'struct pci_dev' declared inside 
> parameter list
> include/linux/vgaarb.h:109:6: warning: 'struct pci_dev' declared inside 
> parameter list
> include/linux/vgaarb.h:121:8: warning: 'struct pci_dev' declared inside 
> parameter list
> include/linux/vgaarb.h:140:37: warning: 'struct pci_dev' declared inside 
> parameter list
> 
> Signed-off-by: Randy Dunlap <rdunlap at xenotime.net>
> Cc:   David Airlie <airlied at linux.ie>
> Cc:   dri-devel at lists.freedesktop.org
> ---
>  include/linux/vgaarb.h |    2 ++
>  1 file changed, 2 insertions(+)
> 
> --- linux-next-20120130.orig/include/linux/vgaarb.h
> +++ linux-next-20120130/include/linux/vgaarb.h
> @@ -47,6 +47,8 @@
>   */
>  #define VGA_DEFAULT_DEVICE     (NULL)
>  
> +struct pci_dev;
> +
>  /* For use by clients */
>  
>  /**
> 



-- 
~Randy

Reply via email to